Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 240728 - app-dicts/stardict-3.0.1-r1 fails to build with +gucharmap and gucharmap-2.24.0
Summary: app-dicts/stardict-3.0.1-r1 fails to build with +gucharmap and gucharmap-2.24.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Spell checking utilities and dictionaries -- related bugs (OBSOLETE)
URL: https://sourceforge.net/tracker/index...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.24
  Show dependency tree
 
Reported: 2008-10-09 19:04 UTC by Serkan Kaba (RETIRED)
Modified: 2009-02-18 22:46 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,11.42 KB, text/plain)
2008-10-09 19:05 UTC, Serkan Kaba (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serkan Kaba (RETIRED) gentoo-dev 2008-10-09 19:04:47 UTC
when gucharmap USE flag is set configure is looking for gucharmap package but said version of gucharmap installs gucharmap-2.pc. A build.log file will follow.

Portage 2.2_rc11 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 x86_64)
=================================================================
System uname: Linux-2.6.25-gentoo-r7-x86_64-Intel-R-_Core-TM-2_CPU_6700_@_2.66GHz-with-glibc2.2.5
Timestamp of tree: Sun, 05 Oct 2008 13:05:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms sign strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.linux.org.tr/pub/mirrors/gentoo   http://distro.ibiblio.org/pub/linux/distributions/gentoo/ "
LANG="tr_TR.utf8"
LC_ALL="tr_TR.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="tr"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/desktop-effects /usr/portage/local/layman/gnome /home/firari/java-overlay /home/firari/java-experimental /home/firari/overlay-lapis /home/firari/overlay /home/firari/nelchael /home/firari/kenscodepit-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi aim alsa amd64 amr ao apache2 apm ares asf audacious audiofile bash-completion berkdb binary-drivers bluetooth branding buttons bzip2 cairo cdda cddb cdr cli cracklib dbus dri dts dvd dvdnav dvdr dvdread emerald encode exif fam fasttrack ffmpeg ftp gaim gd gdbm geoip gif glitz glut gnome gnome-keyring gnutella gnutls gpm gstreamer gtk gtkhtml gtkspell hal hddtemp iconv icq id3 isdnlog jabber java javascript joystick jpeg jpeg2k keyring lame lcms libnotify libsamplerate lm_sensors mad midi mime mmx mmxext mng mozdevelop moznopango mp2 mp3 mp4 mpeg msn mudflap multilib musicbrainz nautilus ncurses njb nls nocd nptl nptlonly nsplugin nvidia ogg openft opengl openmp oscar pam pcre png pppd qt3support quicktime rar readline reflection rtsp samba sdl session smp sndfile soap sockets sound spell spl srt sse sse2 ssl ssse3 startup-notification svg symlink sysfs tcpd tiff truetype unicode usb v4l v4l2 vcd videos vorbis webdav wma wmf xattr xcb xchatdccserver xcomposite xine xml xorg xprint xscreensaver xsl xulrunner xv xvid xvmc yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="tr" USERLAND="GNU" VIDEO_CARDS="nvidia fbdev vesa v4l"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Serkan Kaba (RETIRED) gentoo-dev 2008-10-09 19:05:27 UTC
Created attachment 167760 [details]
build.log
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-10-29 18:06:49 UTC
ABI break is phun ! :)
Comment 3 Gilles Dartiguelongue gentoo-dev 2008-10-29 20:19:25 UTC
gucharmap just changed it pkgconfig file from gucharmap.pc to gucharmap-2.pc

Fix is easy, make stardict look for one or the other in sequence in configure.{ac,in}

This fix will be required to go stable as gnome 2.24 will go stable.
Comment 4 Peter Volkov (RETIRED) gentoo-dev 2008-10-30 20:12:47 UTC
pkgconfig change is not all needed here. Stardict uses gucharmap_unicode_canonical_decomposition() which was removed from gucharmap. But fix is also obvious, just use g_unicode_canonical_decomposition. :) Patch is attached in upstream tracker (see URI), but I'll add it to the tree a bit later. I need to check other things in my overlay...
Comment 5 Serkan Kaba (RETIRED) gentoo-dev 2009-01-02 12:12:26 UTC
2.24.2 is now in portage.
Comment 6 Gilles Dartiguelongue gentoo-dev 2009-01-04 00:43:51 UTC
the patch you submitted upstream looks fine but does it work with ancient gucharmap too or do you want to wrap it with #ifdefs ?
Comment 7 Gilles Dartiguelongue gentoo-dev 2009-02-18 22:46:27 UTC
Fixed in 3.0.1-r2. Thanks for the patch.